<template>
    <div class="container">
      <h1>{{ event.nimi }}</h1>
      <p><strong>{{ event.koht }} </strong> ({{ event.lisainfo }})</p>
      <p>{{ event.aeg }}</p>
      <h3>Osalejad</h3>
      <table class="table">
      <thead>
      <tr>
        <th scope="col">Kood</th>
        <th scope="col">Nimi</th>
        <th scope="col">Makseviis</th>
        <th scope="col">Lisainfo</th>
        <th scope="col"></th>
      </tr>
      </thead>
      <tbody>
          <tr v-for="item in event.kylalised" :key="item.kood">
            <td>{{ item.kood  }}</td>
            <td>{{ item.nimi + " " + item.perenimi}}</td>
            <td>{{ item.makseviis }}</td>
            <td>{{ item.lisainfo }}</td>
            <td>
              <router-link
                :to="{ name: 'rmguest',
                params: { event_uid: event.uid, guest_id: item.kood }}">Eemalda osaleja
              </router-link>
            </td>
          </tr>
      </tbody>
      </table>
      <router-link to="/">tagasi</router-link> |
        <router-link v-if="event.uid"
          :to="{ name: 'addguest',
          params: { event_uid: event.uid }}">Lisa osaleja
        </router-link>
    </div>
</template>

<script>
import axios from 'axios';

export default {
  name: 'EventDetails',
  data() {
    return {
      event: '',
    };
  },
  methods: {
    getEventDetails(eventUid) {
      axios.get(`http://localhost:5000/yritus/${eventUid}`)
        .then((res) => {
          this.event = res.data;
        })
        .catch((error) => {
          // eslint-disable-next-line
          console.error(error);
        });
    },
    formatDate(dateString) {
      const dd = Date.parse(dateString);
      return new Intl.DateTimeFormat('et-ee', { dateStyle: 'long', timeStyle: 'short' }).format(dd);
    },
  },
  created() {
    this.getEventDetails(this.$route.params.event_uid);
  },
};
</script>
